Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.mcu
Class ATMega128L.SimImpl.USART1

    java.lang.Object
      avrora.sim.mcu.ATMega128L.SimImpl.USART
          avrora.sim.mcu.ATMega128L.SimImpl.USART1

All Implemented Interfaces:
  ATMega128L.USARTDevice

Enclosing class:
  ATMega128L.SimImpl

protected class ATMega128L.SimImpl.USART1
extends ATMega128L.SimImpl.USART

Emulates the behavior of USART1 on the ATMega128L microcontroller.

Nested Class Summary

Nested classes inherited from class avrora.sim.mcu.ATMega128L.SimImpl.USART
`ATMega128L.SimImpl.USART.ControlRegisterA, ATMega128L.SimImpl.USART.ControlRegisterB, ATMega128L.SimImpl.USART.ControlRegisterC, ATMega128L.SimImpl.USART.DataRegister, ATMega128L.SimImpl.USART.Receiver, ATMega128L.SimImpl.USART.SerialPrinter, ATMega128L.SimImpl.USART.Transmitter, ATMega128L.SimImpl.USART.UBRRnHReg, ATMega128L.SimImpl.USART.UBRRnLReg`

Nested classes inherited from class avrora.sim.mcu.ATMega128L.USARTDevice
`ATMega128L.USARTDevice.USARTFrame`

Method Summary
`protected void` | `initValues()` Initialize the parameters such as interrupt numbers and I/O register numbers that make this USART unique.

Methods inherited from class avrora.sim.mcu.ATMega128L.SimImpl.USART
`receiveFrame, startReceive, transmitFrame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### initValues

    protected void initValues()

  Description copied from class: `ATMega128L.SimImpl.USART`
  Initialize the parameters such as interrupt numbers and I/O register numbers that make this USART unique.

  Specified by:
    `initValues` in class `ATMega128L.SimImpl.USART`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD